# Uses of Interface
org.opensaml.security.trust.TrustEngine

Packages that use TrustEngine
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.security.httpclient
Security API support for Apache HttpClient.
org.opensaml.security.httpclient.impl
Security implementation support for Apache HttpClient.
org.opensaml.security.messaging.impl
Message handler implementations.
org.opensaml.security.testing
org.opensaml.security.trust
Interfaces and classes used to evaluate the trustworthiness and validity of `Credential`s.
org.opensaml.security.trust.impl
`TrustEngine` implementation classes.
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.
org.opensaml.spring.tls
Spring support for TLS configuration.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of TrustEngine in org.opensaml.saml.common.binding.security.impl

Methods in org.opensaml.saml.common.binding.security.impl that return TrustEngine
Modifier and Type
Method
Description
`protected TrustEngine<Signature>`
BaseSAMLXMLSignatureSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.

## Uses of TrustEngine in org.opensaml.security.httpclient

Fields in org.opensaml.security.httpclient declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
HttpClientSecurityParameters.`tlsTrustEngine`
Optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient that return TrustEngine
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
HttpClientSecurityConfiguration.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
`TrustEngine<? super X509Credential>`
HttpClientSecurityParameters.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient with parameters of type TrustEngine
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Sets the optional trust engine used in evaluating server TLS credentials.

## Uses of TrustEngine in org.opensaml.security.httpclient.impl

Fields in org.opensaml.security.httpclient.impl declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
BasicHttpClientSecurityConfiguration.`tlsTrustEngine`
Optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient.impl that return TrustEngine
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
BasicHttpClientSecurityConfiguration.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient.impl with parameters of type TrustEngine
Modifier and Type
Method
Description
`BasicHttpClientSecurityConfiguration`
BasicHttpClientSecurityConfiguration.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Sets the optional trust engine used in evaluating server TLS credentials.

## Uses of TrustEngine in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super TokenType>`
BaseTrustEngineSecurityHandler.`trustEngine`
Trust engine used to verify the particular token type.
Methods in org.opensaml.security.messaging.impl that return TrustEngine
Modifier and Type
Method
Description
`protected TrustEngine<? super TokenType>`
BaseTrustEngineSecurityHandler.`getTrustEngine()`
Gets the trust engine used to validate the untrusted token.
`protected TrustEngine<? super X509Credential>`
BaseClientCertAuthSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
`protected abstract TrustEngine<? super TokenType>`
BaseTrustEngineSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.

## Uses of TrustEngine in org.opensaml.security.testing

Classes in org.opensaml.security.testing that implement TrustEngine
Modifier and Type
Class
Description
`class`
`MockTrustEngine<TokenType>`
Mock trust engine.

## Uses of TrustEngine in org.opensaml.security.trust

Subinterfaces of TrustEngine in org.opensaml.security.trust
Modifier and Type
Interface
Description
`interface`
`TrustedCredentialTrustEngine<TokenType>`
Evaluates the trustworthiness and validity of a token against implementation-specific requirements based on trusted credentials obtained via a credential resolver.

## Uses of TrustEngine in org.opensaml.security.trust.impl

Classes in org.opensaml.security.trust.impl that implement TrustEngine
Modifier and Type
Class
Description
`class`
`ChainingTrustEngine<TokenType>`
Evaluate a token in sequence using a chain of subordinate trust engines.
`class`
`ExplicitKeyTrustEngine`
Trust engine that evaluates a credential's key against key(s) expressed within a set of trusted credentials obtained from a trusted credential resolver.
`class`
`ExplicitX509CertificateTrustEngine`
Trust engine that evaluates a credential's X.509 certificate against certificates expressed within a set of trusted credentials obtained from a credential resolver.
Fields in org.opensaml.security.trust.impl declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
TrustEngineX509TrustManager.`tlsTrustEngine`
The trust engine to use.
Fields in org.opensaml.security.trust.impl with type parameters of type TrustEngine
Modifier and Type
Field
Description
`private List<TrustEngine<? super TokenType>>`
ChainingTrustEngine.`engines`
The chain of subordinate trust engines.
Methods in org.opensaml.security.trust.impl that return types with arguments of type TrustEngine
Modifier and Type
Method
Description
`List<TrustEngine<? super TokenType>>`
ChainingTrustEngine.`getChain()`
Get the list of configured trust engines which constitute the trust evaluation chain.
Methods in org.opensaml.security.trust.impl with parameters of type TrustEngine
Modifier and Type
Method
Description
`void`
TrustEngineX509TrustManager.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Set the trust engine used in evaluating server TLS credentials.
Constructor parameters in org.opensaml.security.trust.impl with type arguments of type TrustEngine
Modifier
Constructor
Description
``
`ChainingTrustEngine(List<TrustEngine<? super TokenType>> chain)`
Constructor.

## Uses of TrustEngine in org.opensaml.security.x509

Subinterfaces of TrustEngine in org.opensaml.security.x509
Modifier and Type
Interface
Description
`interface`
`PKIXTrustEngine<TokenType>`
Trust engine that validates tokens using PKIX validation.

## Uses of TrustEngine in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement TrustEngine
Modifier and Type
Class
Description
`class`
`PKIXX509CredentialTrustEngine`
Trust engine implementation which evaluates an `X509Credential` token based on PKIX validation processing using validation information from a trusted source.

## Uses of TrustEngine in org.opensaml.security.x509.tls

Fields in org.opensaml.security.x509.tls declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
ClientTLSValidationParameters.`x509TrustEngine`
A `TrustEngine` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls that return TrustEngine
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
ClientTLSValidationConfiguration.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
`TrustEngine<? super X509Credential>`
ClientTLSValidationParameters.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls with parameters of type TrustEngine
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
ClientTLSValidationParameters.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.

## Uses of TrustEngine in org.opensaml.security.x509.tls.impl

Fields in org.opensaml.security.x509.tls.impl declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
ThreadLocalX509TrustEngineContext.Data.`trustEngine`
Trust engine.
`private TrustEngine<? super X509Credential>`
BasicClientTLSValidationConfiguration.`x509TrustEngine`
A `TrustEngine` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls.impl that return TrustEngine
Modifier and Type
Method
Description
`static TrustEngine<? super X509Credential>`
ThreadLocalX509TrustEngineContext.`getTrustEngine()`
Return the current thread-local trust engine instance.
`TrustEngine<? super X509Credential>`
BasicClientTLSValidationConfiguration.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
`protected TrustEngine<? super X509Credential>`
BasicClientTLSValidationParametersResolver.`resolveTrustEngine(CriteriaSet criteria)`
Resolve and return the effective `TrustEngine``<? super` `X509Credential``>`.
Methods in org.opensaml.security.x509.tls.impl with parameters of type TrustEngine
Modifier and Type
Method
Description
`static void`
ThreadLocalX509TrustEngineContext.`loadCurrent(TrustEngine<? super X509Credential> trustEngine, CriteriaSet criteria, Boolean fatal)`
Load the thread-local storage with the current credential.
`private static boolean`
ThreadLocalX509TrustEngineSupport.`performTrustEval(X509Certificate[] chain, TrustEngine<? super X509Credential> trustEngine, CriteriaSet criteriaSet)`
Perform trust evaluation on the specified certificate chain using the supplied trust engine and criteria.
`BasicClientTLSValidationConfiguration`
BasicClientTLSValidationConfiguration.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.
Constructors in org.opensaml.security.x509.tls.impl with parameters of type TrustEngine
Modifier
Constructor
Description
`private`
`Data(TrustEngine<? super X509Credential> engine, CriteriaSet criteria, Boolean fatal)`
Constructor.

## Uses of TrustEngine in org.opensaml.spring.tls

Fields in org.opensaml.spring.tls declared as TrustEngine
Modifier and Type
Field
Description
`private TrustEngine<?>`
TLSSocketFactoryFactoryBean.`tlsTrustEngine`
The optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.spring.tls with parameters of type TrustEngine
Modifier and Type
Method
Description
`void`
TLSSocketFactoryFactoryBean.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Deprecated, for removal: This API element is subject to removal in a future version.
use setHttpClientSecurityParameters instead

## Uses of TrustEngine in org.opensaml.xmlsec.signature.support

Subinterfaces of TrustEngine in org.opensaml.xmlsec.signature.support
Modifier and Type
Interface
Description
`interface`
`SignatureTrustEngine`
Evaluates the trustworthiness and validity of XML or raw Signatures against implementation-specific requirements.

## Uses of TrustEngine in org.opensaml.xmlsec.signature.support.impl

Classes in org.opensaml.xmlsec.signature.support.impl that implement TrustEngine
Modifier and Type
Class
Description
`class`
`BaseSignatureTrustEngine<TrustBasisType>`
A base implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.
`class`
`ChainingSignatureTrustEngine`
Evaluate a signature in sequence using a chain of subordinate trust engines.
`class`
`ExplicitKeySignatureTrustEngine`
An implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.
`class`
`PKIXSignatureTrustEngine`
An implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.